require 'vk_group_parser/version'
require 'vkontakte_api'

module VkGroupParser
  require 'vk_group_parser/parser'
  require 'vk_group_parser/group_manager'
  require 'vk_group_parser/navigable_group_manager'
  require 'vk_group_parser/notify_manager'
  require 'vk_group_parser/parser_builder'
  require 'vk_group_parser/users_manager'
  require 'vk_group_parser/errors'


  class Config

    class << self
      attr_accessor :per_page, :group_id
      attr_writer :vk_client, :user_fields, :notify_manager

      def notify_manager
        @notify_manager ||= NotifyManager.new
      end

      def vk_client
        @vk_client ||= VkontakteApi::Client.new
      end

      def per_page
        @per_page ||= 500
      end

      def user_fields
        @user_fields ||= 'sex'
      end

    end
  end

  def self.config(&block)
    block.call(Config)
  end

  def self.build_parser
    ParserBuilder.build
  end
end
