module VkGroupParser
  class NavigableGroupManager
    def initialize(group_manager, per_page)
      @group_manager = group_manager
      @all_pages_count = calc_all_pages_count(group_manager, per_page)
      @per_page = per_page
      @page = 0
    end

    def has_next?
      @page < @all_pages_count
    end

    def get_next_members
      p = @page
      @page += 1
      @group_manager.get_members(@per_page, @per_page * p)[:items]
    end
    private

    def calc_all_pages_count(group_manager, per_page)
      members_count = group_manager.get_members(1, 0)[:count]
      (members_count.to_f/per_page).ceil
    end
  end
end