module VkGroupParser
  class ParserBuilder
    class << self
      def build(
          group_id:Config.group_id,
          per_page:Config.per_page,
          notify_manager:Config.notify_manager,
          user_fields: Config.user_fields,
          vk_client:Config.vk_client
      )
        VkontakteApi.configure do |config|
          config.api_version = '5.25'
        end
        nav_group_manager = NavigableGroupManager.new(
            GroupManager.new(vk_client, group_id), per_page
        )
        VkGroupParser::Parser.new(
            UsersManager.new(vk_client, user_fields),
            nav_group_manager,
            notify_manager
        )
      end
    end
  end
end